<template>
      <div class="single-special text-center wow fadeInUp" data-wow-delay="0.2s" style="visibility: visible; animation-delay: 0.2s; animation-name: fadeInUp;">
        <div class="single-icon">
          <eva-icon :name=icon :width="size || '2rem'" :height="size || '2rem'" animation="pulse"></eva-icon>
        </div>
        <h4 v-if="title">{{ title }}</h4>
        <!-- <p v-if="text">{{ text }}</p> -->
      </div>
</template>

<script>
export default {
  name: "SingleSpecial",
  props: ["icon", "img", "size", "title", "text"]
};
</script>

<style lang="scss">

@import '@/assets/custom-vars.scss';


.single-special > h4 {
    font-size: 2rem;
    color: $primary;
}

.single-icon {
    margin-bottom: 1.5rem;
}

.single-icon .eva{
  fill: $secondary;
}

.single-special {
    border: 1px solid #eff2f6;
    padding: 2rem;
    border-radius: $border-radius;
    -webkit-transition-duration: 800ms;
    -o-transition-duration: 800ms;
    transition-duration: 800ms;
    margin: 1.5rem;
}

.special_description_content > h2 {
    color: $primary;
    font-size: 48px;
    margin-bottom: 30px;
}

.single-special:hover {
    -webkit-box-shadow: 0 10px 90px rgba(0, 0, 0, 0.08);
            box-shadow: 0 10px 90px rgba(0, 0, 0, 0.08);
}

.single-special p {
    margin-bottom: 0;
}
</style>